## Example 03 - version 1

param warehouse;
param shop;
param cost{i in 1..warehouse, j in 1..shop};
param supply{i in 1..warehouse};
param demand{j in 1..shop};

var amount{i in 1..warehouse, j in 1..shop};

minimize Cost : sum{i in 1..warehouse, j in 1..shop}cost[i,j]*amount[i,j];

subject to Supply{i in 1..warehouse} : sum{j in 1..shop}amount[i,j]<=supply[i];
subject to Demand{j in 1..shop} : sum{i in 1..warehouse}amount[i,j]>=demand[j];
subject to positive{i in 1..warehouse, j in 1..shop} : amount[i,j]>=0;

