## Example 03 - version 1

set warehouse;
set shop;

param cost{i in warehouse, j in shop};
param supply{i in warehouse};
param demand{j in shop};

var amount{i in warehouse, j in shop};

minimize Cost : sum{i in warehouse, j in shop}cost[i,j]*amount[i,j];

subject to Supply{i in warehouse} : sum{j in shop}amount[i,j]<=supply[i];
subject to Demand{j in shop} : sum{i in warehouse}amount[i,j]>=demand[j];
subject to positive{i in warehouse, j in shop} : amount[i,j]>=0;
